NativeLibraryBinarySpec (Gradle API 9.0.0)
Description: declaration: package: org.gradle.nativeplatform, interface: NativeLibraryBinarySpec

Package org.gradle.nativeplatform

# Interface NativeLibraryBinarySpec

All Superinterfaces:
  `Binary`, `BinarySpec`, `Buildable`, `BuildableComponentSpec`, `CheckableComponentSpec`, `ComponentSpec`, `LibraryBinarySpec`, `ModelElement`, `Named`, `NativeBinarySpec`

All Known Subinterfaces:
  `SharedLibraryBinarySpec`, `StaticLibraryBinarySpec`

@Incubating public interface NativeLibraryBinarySpec extends NativeBinarySpec, LibraryBinarySpec
Represents a binary artifact that is the result of building a native library component.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NativeLibrarySpec`
  `getComponent()`
  The component that this binary was built from.
  `NativeLibrarySpec`
  `getLibrary()`
  The library that this binary belongs to.

  ### Methods inherited from interface org.gradle.platform.base.Binary

  `getDisplayName`

  ### Methods inherited from interface org.gradle.platform.base.BinarySpec

  `getInputs, getSources, getTasks, isBuildable`

  ### Methods inherited from interface org.gradle.api.Buildable

  `getBuildDependencies`

  ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface org.gradle.api.CheckableComponentSpec

  `checkedBy, getCheckTask, setCheckTask`

  ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface org.gradle.model.ModelElement

  `getDisplayName, getName`

  ### Methods inherited from interface org.gradle.nativeplatform.NativeBinarySpec

  `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

- ## Method Details

  - ### getComponent

    NativeLibrarySpec getComponent()
    The component that this binary was built from.
    Specified by:
      `getComponent` in interface `NativeBinarySpec`

  - ### getLibrary

    NativeLibrarySpec getLibrary()
    The library that this binary belongs to.
    Specified by:
      `getLibrary` in interface `LibraryBinarySpec`